///File : LoadScreen.hpp
//------------------------------------------------------------------------------
/*
    This file is part of MaxiShoot.

    MaxiShoot is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    MaxiShoot is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MaxiShoot.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined LOAD_SCREEN_HPP_MAXI_SHOOT
#define LOAD_SCREEN_HPP_MAXI_SHOOT
//------------------------------------------------------------------------------
#include <SFML/Graphics.hpp>

#include <string>
#include <iostream>
//------------------------------------------------------------------------------
#include "myConf.hpp"
#include "Screen.hpp"
#include "main.hpp"
//------------------------------------------------------------------------------
#define PROGRESS_BAR_WIDTH 500
#define PROGRESS_BAR_HEIGHT 20

#define PROGRESS_BAR_BORDER_SPACE 5
#define PROGRESS_BAR_BORDER_SIZE 5

#define SCREEN_WIDTH 1280.f
#define SCREEN_HEIGHT 1024.f
//------------------------------------------------------------------------------
class LoadScreen : public Screen
{
public:
    LoadScreen(ConfigObj *configObj);
    virtual int Run(sf::RenderWindow &App);
};

#endif // LOAD_SCREEN_HPP_MAXI_SHOOT
